Name:		flexbackup
Summary:	Flexible backup script
Version:	0.9.9
Release:	1.3.1
License:	GPL
Group:		Archiving/Backup
URL:		http://members.home.com/flexbackup/
Source:		%{name}-%{version}.tar.bz2
Patch0:		flexbackup-0.9.9-customizations-gd-1.diff
Patch1:		flexbackup-0.9.9-AnyDBM-fix-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch
Requires:	mt-st, gzip, bzip2, fileutils, findutils, mktemp, afio

%description
Flexible backup script.

Features:
   o Easy to configure
   o Uses dump, afio, tar, or cpio with the flick of a switch
   o Backup, extract, compare, list modes
   o Compression and buffering for all backup types
   o Full (0) and 1-9 levels of incremental backup
   o Keeps a table of contents so you know whats on each tape
   o Does remote filesystems (over rsh/ssh; no special service)
   o Works with IDE/SCSI tapes on Linux/FreeBSD, Linux ftape, or disk files
   o Nice log files

%files
  %defattr (-,root,root,0755)
  %doc CHANGES COPYING TODO README CREDITS flexbackup.lsm INSTALL
  %{_bindir}/flexbackup
  %dir /var/state/flexbackup
  %dir /var/log/flexbackup
  %config %{_sysconfdir}/flexbackup.conf

%prep
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p1
%patch1 -p1
%build

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
  mkdir -p $RPM_BUILD_ROOT/%{_bindir}
  mkdir -p $RPM_BUILD_ROOT/var/state/flexbackup
  mkdir -p $RPM_BUILD_ROOT/var/log/flexbackup
  make fb.install
  install -m 0644 flexbackup.conf $RPM_BUILD_ROOT%{_sysconfdir}/flexbackup.conf
  install -m 0755 fb.install $RPM_BUILD_ROOT%{_bindir}/flexbackup

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Apr 22 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.3.1
  - s/AnyDBM_File/DB_File/g.
  - spec file cleanups.

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Fri Nov 02 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.1.6
  - Add 'afio' to Requires:.


* Wed Oct 31 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.1.5
  - Happy Halloween!
  - Consolidated our customizations into on diff.  Added some in the process.


* Thu Oct 11 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.1.4
  - Patched default fetchmail.conf


* Tue Oct 02 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.1.3
  - Reverted patch from 1.1.2.
  - Add some sanity checks for rm's in %prep, %install, and %clean.
  - Added new patch that:
    - Adds "-exclude" flag.
    - Points $main::log to /dev/null until we find a better solution.


* Tue Aug 21 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 0.9.9, Release 1.1.2
  - Added patch to add -exclude flag and more secure temp file creation.
  - Added Requires for mktemp.
  - Removed Requires for perl (find-requires will pick up the shebang).


* Wed Aug 15 2001 Dave Wreski <dave@guardiandigital.com>
- Version 0.9.9, Release 1.1.1
  - apply dd fixes
  - increase version to 0.9.9

* Wed Aug 08 2001 Dave Wreski <dave@guardiandigital.com>
- Version 0.9.8, Release 1.1.0
   - initial build

